package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjTgTgqdjh;

/**
 * 设计信息-套管柱强度校核Service接口
 * 
 * @author
 * @date 2025-07-17
 */
public interface ISjTgTgqdjhService 
{
    /**
     * 查询设计信息-套管柱强度校核
     * 
     * @param id 设计信息-套管柱强度校核主键
     * @return 设计信息-套管柱强度校核
     */
    public SjTgTgqdjh selectSjTgTgqdjhById(Long id);

    /**
     * 查询设计信息-套管柱强度校核列表
     * 
     * @param sjTgTgqdjh 设计信息-套管柱强度校核
     * @return 设计信息-套管柱强度校核集合
     */
    public List<SjTgTgqdjh> selectSjTgTgqdjhList(SjTgTgqdjh sjTgTgqdjh);

    /**
     * 新增设计信息-套管柱强度校核
     * 
     * @param sjTgTgqdjh 设计信息-套管柱强度校核
     * @return 结果
     */
    public int insertSjTgTgqdjh(SjTgTgqdjh sjTgTgqdjh);

    /**
     * 修改设计信息-套管柱强度校核
     * 
     * @param sjTgTgqdjh 设计信息-套管柱强度校核
     * @return 结果
     */
    public int updateSjTgTgqdjh(SjTgTgqdjh sjTgTgqdjh);

    /**
     * 批量删除设计信息-套管柱强度校核
     * 
     * @param ids 需要删除的设计信息-套管柱强度校核主键集合
     * @return 结果
     */
    public int deleteSjTgTgqdjhByIds(Long[] ids);

    /**
     * 删除设计信息-套管柱强度校核信息
     * 
     * @param id 设计信息-套管柱强度校核主键
     * @return 结果
     */
    public int deleteSjTgTgqdjhById(Long id);
}
